Skip to content

Create or update content strategy setup​

PUT
/product/sites/{siteId}/content-strategy

Authorizations​

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters​

Path Parameters

siteId*
Type
string
Required

Request Body​

application/json
JSON
{
  
"site_name": "string",
  
"site_url": "string",
  
"site_about": "string",
  
"enabled": true,
  
"setup": {
  
  
"step": 0,
  
  
"completed": true
  
},
  
"images": "string",
  
"publishing": {
  
  
"ghost_mode": "string"
  
},
  
"generation": {
  
},
  
"seo": {
  
},
  
"credentials": {
  
}
}

Responses​

OK

application/json
JSON
{
  
"strategy": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI